﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AlbumArtOrganizer.Model
{
    public interface IAlbum
    {
        IArtist Artist
        {
            get;
            set;
        }

        string Title
        {
            get;
            set;
        }

        DateTime? ReleaseDate
        {
            get;
            set;
        }

        string ReleaseDateString
        {
            get;
        }

        ICoverImage CoverImage
        {
            get;
            set;
        }

        bool IsSelected
        {
            get;
            set;
        }

        bool IsExpanded
        {
            get;
            set;
        }
    }
}
