﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AlbumArtOrganizer.Model
{
    public abstract class Image : IImage
    {
        public Uri ThumbnailLocation
        {
            get;
            set;
        }

        public int FullSizeHeight
        {
            get;
            set;
        }

        public int FullSizeWidth
        {
            get;
            set;
        }

        public Uri FullSizeLocation
        {
            get;
            set;
        }

        public System.Windows.Media.Imaging.BitmapImage ThumbnailImage
        {
            get
            {
                return AlbumArtOrganizer.Image.Common.GetImage(ThumbnailLocation);
            }
        }

        public System.Windows.Media.Imaging.BitmapImage FullSizeImage
        {
            get
            {
                return AlbumArtOrganizer.Image.Common.GetImage(FullSizeLocation);
            }
        }
    }
}
