﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace AlbumArtOrganizer.UI.Model
{
    // WINDOWPLACEMENT stores the position, size, and state of a window
    [Serializable]
    [StructLayout(LayoutKind.Sequential)]
    public struct WindowPlacement
    {
        public WindowPlacement(int length, int flags, int showCmd, Point minPosition, Point maxPosition, Rect normalPosition)
        {
            this.length = length;
            this.flags = flags;
            this.showCmd = showCmd;
            this.minPosition = minPosition;
            this.maxPosition = maxPosition;
            this.normalPosition = normalPosition;
        }

        public int length;
        public int flags;
        public int showCmd;
        public Point minPosition;
        public Point maxPosition;
        public Rect normalPosition;
    }
}
