﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace AlbumArtOrganizer.Model
{
    public abstract class Option : IOption
    {
        public abstract string PluginName
        {
            get;
            set;
        }

        public abstract string Title
        {
            get;
            set;
        }

        public abstract string Description
        {
            get;
            set;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
