﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.Composition;
using System.Collections.ObjectModel;


namespace AlbumArtOrganizer.Plugins.WindowsMediaPlayer.AlbumScanner
{
    [Export(typeof(AlbumArtOrganizer.AlbumScanner.IAlbumScannerFactory))]
    public class AlbumScannerFactory : AlbumArtOrganizer.AlbumScanner.IAlbumScannerFactory
    {
        public const string OPTIONCONTRACTNAME = "AlbumScannerWindowsMediaPlayerOption";

        public string Name
        {
            get
            {
                return "Windows Media Player";
            }
        }

        public AlbumArtOrganizer.AlbumScanner.IAlbumScanner CreateAlbumScanner(IEnumerable<AlbumArtOrganizer.Model.IOption> options)
        {
            return new AlbumScanner();
        }

        [ImportMany(OPTIONCONTRACTNAME, typeof(AlbumArtOrganizer.Model.IOption))]
        public ObservableCollection<AlbumArtOrganizer.Model.IOption> Options
        {
            get;
            set;
        }
    }
}
